# Class: GraphicPolylin

## GraphicPolylin()

#### new GraphicPolylin()

Source:
  - GraphicPolylin.js, line 10

### Methods

#### (async, static) createObj() → {Promise.<GraphicPolylin>}

构造一个新的 GraphicPolylin 对象。

Source:
  - GraphicPolylin.js, line 32

##### Returns:

Type
  Promise.<GraphicPolylin>

#### (async, static) getLength() → {Promise.<*>}

获取长度

Source:
  - GraphicPolylin.js, line 76

##### Returns:

Type
  Promise.<*>

#### (async, static) getLineWidth() → {Promise.<*>}

获取圆边界线的宽度

Source:
  - GraphicPolylin.js, line 62

##### Returns:

Type
  Promise.<*>

#### (async, static) setFillTexture(point, radius) → {Promise.<void>}

设置线纹理填充

##### Parameters:

Name | Type | Description
--- | --- | ---
`point` |  |
`radius` |  |

Source:
  - GraphicPolylin.js, line 92

##### Returns:

Type
  Promise.<void>

#### (async, static) setLineWidth(width) → {Promise.<void>}

设置线宽

##### Parameters:

Name | Type | Description
--- | --- | ---
`width` |  |

Source:
  - GraphicPolylin.js, line 49

##### Returns:

Type
  Promise.<void>